**Purpose**: This is a powerful locally hosted web based PDF manipulation tool using docker that allows you to perform various operations on PDF files, such as splitting merging, converting, reorganizing, adding images, rotating, compressing, and more. This locally hosted web application started as a 100% ChatGPT-made application and has evolved to include a wide range of features to handle all your PDF needs.

```jsx title="docker-compose.yml"
version: "3.8"
services:
  app:
    image: frooodle/s-pdf:latest
    container_name: stirling-pdf
    environment:
      - TZ=America/Denver
      - DOCKER_ENABLE_SECURITY=false
    volumes:
      - /srv/containers/stirling-pdf/datastore:/datastore
      - /srv/containers/stirling-pdf/trainingData:/usr/share/tesseract-ocr/5/tessdata #Required for extra OCR languages
      - /srv/containers/stirling-pdf/extraConfigs:/configs
      - /srv/containers/stirling-pdf/customFiles:/customFiles/
      - /srv/containers/stirling-pdf/logs:/logs/
    ports:
      - 8080:8080
    restart: always
    networks:
        docker_network:
          ipv4_address: 192.168.5.54

networks:
  default:
    external:
      name: docker_network
  docker_network:
    external: true
```

```jsx title=".env"
N/A
```
